Upstream information

CVE-2014-9471 at MITRE

Description

The parse_datetime function in GNU coreutils allows remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via a crafted date string, as demonstrated by the "--date=TZ="123"345" @1" string to the touch or date command.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

Note from the SUSE Security Team

This issue does affect SUSE Linux Enterprise 11 and older products. Due to moderate severity of the issue, this issue will not be fixed for LTSS codestreams.

SUSE Bugzilla entry: 911832 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • coreutils >= 8.12-6.25.32.33.1
  • coreutils-lang >= 8.12-6.25.32.33.1
Patchnames:
sledsp3-coreutils
SUSE Linux Enterprise Server 11 SP3
  • coreutils >= 8.12-6.25.32.33.1
  • coreutils-lang >= 8.12-6.25.32.33.1
  • coreutils-x86 >= 8.12-6.25.29.1
Patchnames:
slessp3-coreutils
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • coreutils >= 8.12-6.25.32.33.1
  • coreutils-lang >= 8.12-6.25.32.33.1
  • coreutils-x86 >= 8.12-6.25.29.1
Patchnames:
slessp3-coreutils
SUSE Linux Enterprise Server for VMWare 11 SP3
  • coreutils >= 8.12-6.25.32.33.1
  • coreutils-lang >= 8.12-6.25.32.33.1
  • coreutils-x86 >= 8.12-6.25.29.1
Patchnames:
slessp3-coreutils
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • coreutils >= 8.12-6.25.32.33.1
  • coreutils-lang >= 8.12-6.25.32.33.1
Builds
SAT Patch Nr: 10620
SUSE Linux Enterprise Server 11 SP3
  • coreutils >= 8.12-6.25.32.33.1
  • coreutils-lang >= 8.12-6.25.32.33.1
  • coreutils-x86 >= 8.12-6.25.32.33.1
Builds
SAT Patch Nr: 10620


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 coreutils Affected
SUSE Linux Enterprise Desktop 11 SP1 coreutils Affected
SUSE Linux Enterprise Desktop 11 SP3 coreutils Released
SUSE Linux Enterprise Desktop 12 GA coreutils Not affected
SUSE Linux Enterprise Server 10 SP3 coreutils Affected
SUSE Linux Enterprise Server 11 SP1 coreutils Affected
SUSE Linux Enterprise Server 11 SP1 LTSS coreutils Affected
SUSE Linux Enterprise Server 11 SP3 coreutils Released
SUSE Linux Enterprise Server 12 GA coreutils Not affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 coreutils Affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 coreutils Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 coreutils Released